Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Gets all the workflow blueprints for the schedule editor


GET
/api/v1/{tenantId}/schedule-editor/workflow-blueprints

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string

OK

object
blueprints
Array<object>
nullable
object
typeName
string
nullable
id
string
nullable
parameters
Array<object>
nullable
object
propertyName
string
nullable
propertyDescriptor
string
nullable
description
string
nullable
primitiveType
string
nullable
parameterType
string
nullable
isEnabled
boolean
isRequired
boolean
detail
string
nullable
currentValue
string
nullable
parameterNameValue
string
nullable
supportsParameterBinding
boolean
isParameterWriteTarget
boolean
min
number format: double
max
number format: double
defaultValue
string
nullable
placeHolder
string
nullable
visiblityRequirement
object
propertyName
string
nullable
matchValues
Array<string>
nullable
isInverse
boolean
nullable
precision
number format: float
currentUnit
string
Allowed values: nanosecond microsecond millisecond second minute hour day week month nanometer millimeter centimeter meter kilometer mile nanogram microgram milligram gram kilogram ton nanoliter milliliter liter newton percentage
unitOptions
Array<string>
nullable
Allowed values: nanosecond microsecond millisecond second minute hour day week month nanometer millimeter centimeter meter kilometer mile nanogram microgram milligram gram kilogram ton nanoliter milliliter liter newton percentage
textType
string
nullable
regexError
string
nullable
regexErrorMsg
string
nullable
valueOptions
Array<string>
nullable
targetValueOptions
Array<string>
nullable
allowCustomValueOptions
boolean
nullable
isMultiSelect
boolean
isObjectPairMapping
boolean
sourceTooltip
string
nullable
targetTooltip
string
nullable
isEnum
boolean
note
string
nullable
name
string
nullable
description
string
nullable
operationDescription
string
nullable
validationMessage
string
nullable
sequences
Array<object>
nullable
object
typeName
string
nullable
id
string
nullable
parameters
Array<object>
nullable
object
propertyName
string
nullable
propertyDescriptor
string
nullable
description
string
nullable
primitiveType
string
nullable
parameterType
string
nullable
isEnabled
boolean
isRequired
boolean
detail
string
nullable
currentValue
string
nullable
parameterNameValue
string
nullable
supportsParameterBinding
boolean
isParameterWriteTarget
boolean
min
number format: double
max
number format: double
defaultValue
string
nullable
placeHolder
string
nullable
visiblityRequirement
object
propertyName
string
nullable
matchValues
Array<string>
nullable
isInverse
boolean
nullable
precision
number format: float
currentUnit
string
Allowed values: nanosecond microsecond millisecond second minute hour day week month nanometer millimeter centimeter meter kilometer mile nanogram microgram milligram gram kilogram ton nanoliter milliliter liter newton percentage
unitOptions
Array<string>
nullable
Allowed values: nanosecond microsecond millisecond second minute hour day week month nanometer millimeter centimeter meter kilometer mile nanogram microgram milligram gram kilogram ton nanoliter milliliter liter newton percentage
textType
string
nullable
regexError
string
nullable
regexErrorMsg
string
nullable
valueOptions
Array<string>
nullable
targetValueOptions
Array<string>
nullable
allowCustomValueOptions
boolean
nullable
isMultiSelect
boolean
isObjectPairMapping
boolean
sourceTooltip
string
nullable
targetTooltip
string
nullable
isEnum
boolean
note
string
nullable
name
string
nullable
description
string
nullable
operationDescription
string
nullable
validationMessage
string
nullable
sequences
Array<object> recursive
operations
Array<object> recursive

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable